Downgrade to Eclair 2.1, from Froyo 2.2 on Samsung I5800Support


Last Updated:

  1. Amitprsingh

    Amitprsingh Member

    If you couldn't upgrade your Samsung I5800 phone to Froyo 2.1, and ran into problems, temporary nostalgia, or you just wanted to return to Eclair for what ever reason(mine was battery draining problems) restore your firmware to Eclair 2.1, which usually comes with the phone.

    Here is a list of firmwares with passwords next to the links:

    I5800XXJK1 for I5800 EUROPE PWD: samfirmware.com
    I5800XWJH2 for I5800 EUROPE

    Advertisement
    enter21st and barqers like this.
  2. barqers

    barqers Well-Known Member

    Nice posts!
  3. jojo15

    jojo15 Member

    hi guys my problem is that my computer does not recognize my device it says unknown device any hellp once i conect my mobil to thr pc odin dont show the port:confused:
  4. bjlabuk

    bjlabuk Well-Known Member

    Have you installed the latest device drivers ? You need to make sure you have installed Samsung KIES latest version in order to obtain the device drivers, even though you do ot intend to use KIES. Then run ODIN as Administrator, but before connecting your phone put it in download mode. When you connect your phone ODIN should then recognise it.

    bjlabuk
  5. pranesheliger

    pranesheliger New Member

    :confused: i downloded 2.1 eclars from 2nd link but to unzip that file its asking passward... in front of that link pasward is given as PWD: samsung-firmwares.com... i given passward but still it saying wrong passward... plz help me plz :(

    email me plz : pranesh.s169@gmail.com...
  6. pranesheliger

    pranesheliger New Member

    :confused: i downloded 2.1 eclars from 2nd link but to unzip that file its asking passward... in front of that link pasward is given as PWD: samsung-firmwares.com... i given passward but still it saying wrong passward... plz help me plz :(

Share This Page